#include <LCD16x2.h>
#include <Wire.h>
LCD16x2 lcd;

int buttons, pressed;

//initialization
void setup()
{
  Wire.begin();     //TWI interface init
  lcd.lcdClear();   //LCD screen clear
  lcd.lcdSetBlacklight(255);  //maximum backlight on
}


//main loop
void loop()
{
  //read the status of the buttons
  //corresponding bit is cleared, if buttons is pressed
  buttons = lcd.readButtons();
  
  //one's complement (variable negqation)
  //after this operation corresponding bit is set, when button is pressed
  buttons = ~buttons;
  
  //which button is pressed?
  if (buttons & 0x01) pressed = 1;
    else if (buttons & 0x02) pressed = 2;
      else if (buttons & 0x04) pressed = 3;
        else if (buttons & 0x08) pressed = 4;
          else pressed = 0;
          
  //write the message in the first row/column of the display
  lcd.lcdGoToXY(1, 1);
  if (pressed != 0)
  {
    lcd.lcdWrite(prssed);   //display the number
    lcd.lcdGoToXY(2, 1);    //display the message
    lcd.lcdWrite(" is pressed");
  }
    else lcd.lcdWrite("No button   ");
}
